function getWindowWidth () {
	return (self.innerWidth || document.documentElement.clientWidth || document.body.clientWidth || 0);
}
function getWindowHeight () {
	return (self.innerHeight || document.documentElement.clientHeight || document.body.clientHeight || 0);
}
function getDocumentWidth () {
	return Math.min(document.body.scrollWidth, getWindowWidth());
}
function getDocumentHeight () {
	return Math.max(document.body.scrollHeight, getWindowHeight());
}

function show_content_overlay () {
	if ($('content_overlay')) {
		new Effect.Appear('content_overlay', {to: 0.4, from: 0.1, duration: 0.9});
	}
}

function hide_overlay() {
	var $treeswitch = $('treeSwitch');

	$('overlay').hide();

	if ($treeswitch) {
		$treeswitch.show();
	}

	// Stop pace.js loader.
	Pace.stop();
}

function show_overlay() {
	var $overlay = $('overlay');

	if ($overlay) {
		if (Prototype.Browser.IE) {
			// For IE10 (and others).
			$overlay.show().writeAttribute('style', 'opacity:0.4;filter:alpha(opacity=40);');
		} else {
			$overlay.show().setStyle({opacity:0.4});
		}
	}
}
