<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Matcher; abstract class AbstractIdentifier { const KEY = ''; protected $title; protected static $bit; protected $sqlSelect; protected $usableIn = []; public function getTitle() { return $this->title; } public function setTitle($title) { $this->title = $title; return $this; } public function getSqlSelect($value, $condition = '') { return str_replace( [':value:', ':status:', ':condition:'], ['\'' . \isys_application::instance()->database->escape_string($value) . '\'', C__RECORD_STATUS__NORMAL, $condition], $this->sqlSelect ); } public function setSqlSelect($sqlSelect) { $this->sqlSelect = $sqlSelect; return $this; } public static function getBit() { return static::$bit; } public function setBit($bit) { static::$bit = $bit; return $this; } public function getUsableIn() { return $this->usableIn; } }