<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Matcher\Identifier; use idoit\Module\Cmdb\Model\Matcher\AbstractIdentifier; class Fqdn extends AbstractIdentifier { const KEY = 'fqdn'; protected $title = 'FQDN'; protected static $bit = 64; protected $sqlSelect = ''; protected $usableIn = [ 'JDisc', 'H-Inventory', 'OCS', 'CSV' ]; public function __construct() { $this->sqlSelect = 'SELECT isys_obj__id AS id, isys_obj__title AS title, isys_obj__isys_obj_type__id AS type, \'' . self::KEY . '\' AS identKey
            FROM isys_obj
            INNER JOIN (
                SELECT CONCAT_WS(\'.\', ip.isys_catg_ip_list__hostname, dns.isys_net_dns_domain__title) AS fqdn, isys_catg_ip_list__isys_obj__id AS id
                FROM isys_catg_ip_list AS ip
                INNER JOIN `isys_catg_ip_list_2_isys_net_dns_domain` AS conn ON ip.isys_catg_ip_list__id = conn.isys_catg_ip_list__id
                INNER JOIN isys_net_dns_domain AS dns ON dns.isys_net_dns_domain__id = conn.isys_net_dns_domain__id
                WHERE ip.isys_catg_ip_list__hostname != \'\') AS fqdnjoin ON fqdnjoin.id = `isys_obj__id`
            WHERE fqdnjoin.fqdn = :value:
            AND isys_obj__status = :status: :condition:'; } } 