function isys_popup_open(p_url, p_name, p_centered, p_config)
{
	var cX, cY, strConf = '';

	// If window has to be centered, calculate new position
	if(p_centered) {
		if(document.all) {
			cX = ((document.body.offsetWidth / 2) - (p_config['width'] / 2));
			cY = ((document.body.offsetHeight / 2) - (p_config['height'] / 2));
		} else {
			cX = ((outerWidth / 2) - (p_config['width'] / 2));
			cY = ((outerHeight / 2) - (p_config['height'] / 2));
		}
	}

	// Build configuration string for window popup
	for(var prop in p_config) {
		// Replace top and left if popup has to be centered
		if(prop == 'top' && p_centered)	p_config['top'] = cY;
		if(prop == 'left' && p_centered) p_config['left'] = cX;

		strConf = strConf + prop + '=' + p_config[prop] + ',';
	}

	if(p_centered) {
		// If centered, complete config string
		strConf = strConf + ",left=" + cX + ",top=" + cY;
	} else {
		// Trim the tailing comma
		while (strConf.substring(strConf.length-1,strConf.length) == ',') {
			strConf = strConf.substring(0,strConf.length-1);
		}
	}
	
	strConf += ",dependant=yes";
	
	// OK, now open the popup and focus it
	var objWnd = window.open(p_url, p_name, strConf);
	if(objWnd) {
		objWnd.focus();
	}
}

function id_collector() {
    var l_collection = list_selection();
    return l_collection;
}

function isys_popup_receiver(p_data, p_form_submit)
{
	var l_destElement = document.getElementsByName('popupReceiver')[0];
	if(l_destElement) {
		l_destElement.value = p_data;

		if (typeof C__GET__NAVMODE  == "undefined") {
			alert('die js var C__GET__NAVMODE muss im Template bekannt gemacht werden');
		}

		if (typeof C__NAVMODE__JS_ACTION  == "undefined") {
			alert('die js var C__NAVMODE__JS_ACTION muss im Template bekannt gemacht werden');
		}

		e = document.getElementsByName(C__GET__NAVMODE)[0];
		if(e) {
			e.value = C__NAVMODE__JS_ACTION;
			
			if (p_form_submit==1) {
				document.forms['isys_form'].submit();
			}
		}
	}
}