<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Ci\Table; class Config { private $properties; private $sortingProperty; private $sortingDirection; private $filterProperty; private $filterValue; private $rowClickable; private $groupingType; public function getProperties() { return $this->properties; } public function addProperty(Property $properties) { $this->properties[] = $properties; return $this; } public function setProperties(array $properties) { foreach ($properties as $property) { if (!is_a($property, 'idoit\\Module\\Cmdb\\Model\\Ci\\Table\\Property')) { throw new \isys_exception_general('All array items need to be instances of "idoit\\Module\\Cmdb\\Model\\Ci\\Table\\Property"!'); } } $this->properties = $properties; return $this; } public function getSortingProperty() { return $this->sortingProperty; } public function setSortingProperty($sortingProperty) { $this->sortingProperty = $sortingProperty; return $this; } public function getSortingDirection() { return $this->sortingDirection; } public function setSortingDirection($sortingDirection) { $sortingDirection = strtoupper($sortingDirection); if ($sortingDirection === 'ASC' || $sortingDirection === 'DESC') { $this->sortingDirection = $sortingDirection; } return $this; } public function getFilterProperty() { return $this->filterProperty; } public function setFilterProperty($filterProperty) { $this->filterProperty = $filterProperty; return $this; } public function getFilterValue() { return $this->filterValue; } public function setFilterValue($filterValue) { $this->filterValue = $filterValue; return $this; } public function isRowClickable() { return $this->rowClickable; } public function setRowClickable($rowClickable) { $this->rowClickable = !!$rowClickable; return $this; } public function getGroupingType() { return $this->groupingType; } public function setGroupingType($groupingType) { $this->groupingType = (int) $groupingType; return $this; } } 