<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Ci\Table; class Property { private $indexed; private $class; private $key; private $categoryName; private $name; private $customCatID; private $type; public function __construct($class = '', $key = '', $categoryName = '', $name = '', $indexed = false, $customCatID = null, $type = null) { $this->setClass($class) ->setKey($key) ->setCategoryName($categoryName) ->setName($name) ->setIndexed($indexed) ->setCustomCatID($customCatID) ->setType($type); } public function isIndexed() { return $this->indexed; } public function setIndexed($indexed) { $this->indexed = $indexed; return $this; } public function getClass() { return $this->class; } public function setClass($class) { $this->class = $class; return $this; } public function getKey() { return $this->key; } public function setKey($key) { $this->key = $key; return $this; } public function getCategoryName() { return $this->categoryName; } public function setCategoryName($categoryName) { $this->categoryName = $categoryName; return $this; } public function getName() { return $this->name; } public function setName($name) { $this->name = $name; return $this; } public function getCustomCatID() { return $this->customCatID; } public function setCustomCatID($customCatID) { $this->customCatID = (int) $customCatID; return $this; } public function getType() { return $this->type; } public function setType($type) { $this->type = $type; return $this; } } 