<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Summary; use idoit\Model\Summary\Summarizable; use idoit\Model\Summary\SystemSummary; class SpecificCategorySummary extends SystemSummary implements Summarizable { protected $namespace = 'cmdb.category.s'; public function summarize($objectId, $categoryId) { $daoDistributor = new \isys_cmdb_dao_distributor($this->queryDao->get_database_component(), $objectId, C__CMDB__CATEGORY__TYPE_SPECIFIC, null, $categoryId); $categoryDao = $daoDistributor->get_category($categoryId); return $this->set( $this->concat($objectId, $categoryId, C__RECORD_STATUS__NORMAL), $categoryDao ? $categoryDao->get_count($objectId) : 0 ); } public function getCount($objectId, $categoryId) { return $this->get( $this->concat($objectId, $categoryId, C__RECORD_STATUS__NORMAL) ); } }