<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Dispatcher; use idoit\Component\Provider\DiFactory; class NavbarDispatcher { use DiFactory; public function dispatch(\isys_controller $p_controller, $mode = null) { switch ($mode) { case C__NAVMODE__NEW: $eventFunction = 'onNew'; break; case C__NAVMODE__PRINT: $eventFunction = 'onPrint'; break; case C__NAVMODE__PURGE: $eventFunction = 'onPurge'; break; case C__NAVMODE__DELETE: $eventFunction = 'onDelete'; break; case C__NAVMODE__ARCHIVE: $eventFunction = 'onArchive'; break; case C__NAVMODE__QUICK_PURGE: $eventFunction = 'onQuickPurge'; break; case C__NAVMODE__RECYCLE: $eventFunction = 'onRecycle'; break; case C__NAVMODE__DUPLICATE: $eventFunction = 'onDuplicate'; break; case C__NAVMODE__RESET: $eventFunction = 'onReset'; break; case C__NAVMODE__EDIT: $eventFunction = 'onEdit'; break; case C__NAVMODE__CANCEL: $eventFunction = 'onCancel'; break; case C__NAVMODE__SAVE: $eventFunction = 'onSave'; break; case C__NAVMODE__UP: $eventFunction = 'onUp'; break; default: $eventFunction = 'onDefault'; break; } if ($eventFunction && method_exists($p_controller, $eventFunction)) { return $p_controller->$eventFunction($this->getDi()->legacyRequest, $this->getDi()->application); } return false; } }